import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterSellCarcassOutProvinceGetDashboard = createAsyncThunk(
  "SLAUGHTRE_SELL_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `dashboard_kill_house_free_sale_bar`,
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          role: getRoleFromUrl(),
          role_key: d.role_key || "",
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
